Subject: bug#66317: Project mode-line

From: Juri Linkov <[email-masked]>
Date: Fri, 06 Oct 2023 09:44:51 +0300

>> Speaking of this change from the first patch, do we want to have 
>> project-mode-line automatically supported in Emacs <= 29, when they 
>> install the new version from ELPA? Can we safely do that?
>> 
>> Simply altering mode-line-format, as in the original patch, might mess 
>> up the custom mode-line the user had set up (or installed). How to only 
>> change the default mode-line is less obvious, but perhaps checking that 
>> the current value is equal to (get 'mode-line-format 'standard-value) 
>> would mean altering is okay.
>> 
>> Or otherwise we should say something in the docstring of 
>> project-mode-line: that it's only directly supported in Emacs 30, and in 
>> older versions the user need to add the corresponding entry to the 
>> mode-line-format by hand.
>
> I think supporting it in Emacs 30 is fine.  It's a very minor feature,
> after all, so let's not invest too much effort in it.

Agreed.  No need to support it in older versions.  Moreover,
I'm trying to add another option to join project and vc indicators
on the mode-line that won't be possible to support in older versions.